from datetime import datetime
from apscheduler.schedulers.background import BackgroundScheduler
from .views import schedule_api

def start():
    scheduler = BackgroundScheduler()

    # Run at 00:00 (midnight) on the 1st of every month
    scheduler.add_job(schedule_api, 'cron', day=1, hour=0, minute=0)

    # Run at 00:00 (midnight) on the 15th of every month
    scheduler.add_job(schedule_api, 'cron', day=15, hour=0, minute=0)

    scheduler.start()
